BITE-BUGZILLA-ATTACHMENT-UPDATE(1)

NAME
bite-bugzilla-attachment-update - update attachments

SYNOPSIS

bite bugzilla attachment <update|u> [<options>] [id[,...]]
    Update attachments.

bite bugzilla attachment <update|u> [-h|--help]
    Output help information.

DESCRIPTION

Update attachments.

GLOBAL OPTIONS

-v, --verbose
    Increase logging verbosity.

    Verbosity levels in increasing order are error, warning, info, debug, and trace. The default level is warning causing errors and warnings to be shown. Each -v/--verbose option specified increases the level up to the maximum so bite -vv ... runs the given subcommand at the debug level.

        Warning

        Running at the trace level leaks authentication data as it outputs raw response structures including URLs which often include injected login parameters for authenticated sessions.

-q, --quiet
    Decrease logging verbosity.

-h, --help
    Print help output and exit.

ATTACHMENT OPTIONS

-c, --comment <value>
    Update comment.

-d, --description <value>
    Update description.

-f, --flags <value>[,...]
    Update flags.

-m, --mime <type>
    Update MIME type.

-n, --name <value>
    Update file name.

-o, --obsolete [<bool>]
    Update obsolete status.

-p, --patch [<bool>]
    Update patch status.

-P, --private [<bool>]
    Update private status.

ARGUMENTS

<id[,...]>
    Attachment IDs.

    Taken from standard input when -.

SEE ALSO

bite-bugzilla-attachment(1)